## com.rbnb.api
Interface BuildInterface

    public interface BuildInterface

<bold>RBNB</bold> build version information interface.

Classes implementing this interface provide information about what version of the <bold>RBNB</bold> the code was built for, the date it was built, and the license identification being used to run the code.

Since:
  V2.0
Author:
  Ian Brown
Version:
  01/10/2003

Method Summary
`Date` `getBuildDate()` Gets the date that the code was built.
`String` `getBuildVersion()` Gets the <bold>RBNB</bold> build version.
`void` `setBuildDate(Date buildDateI)` Sets the date that the code was built.
`void` `setBuildVersion(String buildVersionI)` Sets the <bold>RBNB</bold> build version.

Method Detail

### getBuildDate

    Date getBuildDate()

  Gets the date that the code was built.

  Returns:
    the build date.
  Since:
    V2.0
  See Also:
    `setBuildDate(java.util.Date)`
  Author:
    Ian Brown
  Version:
    12/20/2001

### getBuildVersion

    String getBuildVersion()

  Gets the <bold>RBNB</bold> build version.

  Returns:
    the build version string.
  Since:
    V2.0
  See Also:
    `setBuildVersion(String)`
  Author:
    Ian Brown
  Version:
    12/20/2001

### setBuildDate

    void setBuildDate(Date buildDateI)

  Sets the date that the code was built.

  Parameters:
    `buildDateI` - the build date.
  Since:
    V2.0
  See Also:
    `getBuildDate()`
  Author:
    Ian Brown
  Version:
    12/20/2001

### setBuildVersion

    void setBuildVersion(String buildVersionI)

  Sets the <bold>RBNB</bold> build version.

  Parameters:
    `buildVersionI` - the build version string.
  Since:
    V2.0
  See Also:
    `getBuildVersion()`
  Author:
    Ian Brown
  Version:
    12/20/2001